Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.controller.jsp
Class LogoutTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.controller.jsp.LogoutTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class LogoutTag

extends TagSupport

mak:logout tag. Removes attributes from the session, or invalidates the whole session.

Version:
  $Id: LogoutTag.java 2938 2008-07-28 23:01:56Z rosso_nero $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary
`(package private) String` | `attr`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LogoutTag()`

Method Summary
`int` | `doStartTag()`
`void` | `setActor(String a)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attr

    String attr

Constructor Detail

### LogoutTag

    public LogoutTag()

Method Detail

### setActor

    public void setActor(String a)

### doStartTag

    public int doStartTag()
                   throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20